#include<bits/stdc++.h>
using namespace std;
int arr1[100000];
int arr2[100000];
int n;
int findel(int x)
{
    for(int i=0;i<n;i++)
    {
        if(arr2[i]==x)
        {
            return i;
        }
    }
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    //int S,n;
    cin>>n;
    for(int i=0;i<n;i++)
    {
        cin>>arr1[i];
    }
    for(int i=0;i<n;i++)
    {
        cin>>arr2[i];
    }
    int ans=0;
    int prev=0;
    for(int i=0;i<n;i++)
    {
        if(arr1[i]!=arr2[++prev])
        {
            //cout<<i;
            ans++;
            prev=findel(arr1[i]);
        }
    }
    cout<<ans;
    return 0;
}
